local incpat = string.gsub(string.gsub(FACTION_STANDING_INCREASED, "(%%s)", "(.+)"), "(%%d)", "(.+)")

local changedpat = string.gsub(string.gsub(FACTION_STANDING_CHANGED, "(%%s)", "(.+)"), "(%%d)", "(.+)")

local decpat = string.gsub(string.gsub(FACTION_STANDING_DECREASED, "(%%s)", "(.+)"), "(%%d)", "(.+)")

local f = CreateFrame("frame")
f:SetScript("OnEvent", function(self, event, ...) if self[event] then return self[event](self, event, ...) end end)

function f:CHAT_MSG_COMBAT_FACTION_CHANGE(event, arg1)
	local __, __, faction, amount = string.find(arg1, incpat)
--	local __, __, faction = string.find(arg1, changedpat)
	if not faction then __, __, faction = string.find(arg1, changedpat) or string.find(arg1, decpat) end
	if faction then
	   local current = GetWatchedFactionInfo()
	   for i=1,GetNumFactions() do
		local name = GetFactionInfo(i)
		if name == faction and name ~= current then
			SetWatchedFactionIndex(i)
			return
		end
	   end
	end
end

f:RegisterEvent("CHAT_MSG_COMBAT_FACTION_CHANGE")
